﻿$ErrorActionPreference = 'Stop';

$packageName= 'taskfactory'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = 'https://download.pragmaticworks.com/prerelease/BETA/2018.1/BETA_TaskFactory_2018.1.3.122.exe'

$packageArgs = @{
  packageName   = $packageName
  unzipLocation = $toolsDir
  fileType      = 'EXE'
  url           = $url

  silentArgs    = "/quiet /norestart"
  validExitCodes= @(0, 3010, 1641)

  softwareName  = 'task-factory*'
  checksum = '8E4FC72F98A860C9E3C7F07244CB5F274059696320D295561E7778971C2F2E89'
  checksumType = 'sha256'
  checksum64 = 'OEU0RkM3MkY5OEE4NjBDOUUzQzdGMDcyNDRDQjVGMjc0MDU5Njk2MzIwRDI5NTU2MUU3Nzc4OTcxQzJGMkU4OQ=='
  checksumType64 = 'sha256'
}

Install-ChocolateyPackage @packageArgs
